Package weka.gui

# Class PasswordField

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.PasswordField

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `PropertyEditor`, `Serializable`, `Accessible`, `CustomPanelSupplier`

public class PasswordField extends JPanel implements PropertyEditor, CustomPanelSupplier
Property editor widget that wraps and displays a JPasswordField.

Version:
  $Revision: 12418 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordField()`
  `PasswordField(String label)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener pcl)`
  `String`
  `getAsText()`
  `Component`
  `getCustomEditor()`
  `JPanel`
  `getCustomPanel()`
  Gets the custom panel for the object.
  `String`
  `getJavaInitializationString()`
  `String[]`
  `getTags()`
  `String`
  `getText()`
  `Object`
  `getValue()`
  `boolean`
  `isPaintable()`
  `void`
  `paintValue(Graphics gfx, Rectangle box)`
  `void`
  `removePropertyChangeListener(PropertyChangeListener pcl)`
  `void`
  `setAsText(String text)`
  `void`
  `setEditable(boolean editable)`
  Set the editable status of the password box.
  `void`
  `setEnabled(boolean enabled)`
  Set the enabled status of the password box
  `void`
  `setLabel(String label)`
  Set the label for this widget.
  `void`
  `setText(String text)`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PasswordField

    public PasswordField()

  - ### PasswordField

    public PasswordField(String label)

- ## Method Details

  - ### setLabel

    public void setLabel(String label)
    Set the label for this widget.
    Parameters:
      `label` - the label to use

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### getCustomPanel

    public JPanel getCustomPanel()
    Description copied from interface: `CustomPanelSupplier`
    Gets the custom panel for the object.
    Specified by:
      `getCustomPanel` in interface `CustomPanelSupplier`
    Returns:
      the custom JPanel

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`

  - ### isPaintable

    public boolean isPaintable()
    Specified by:
      `isPaintable` in interface `PropertyEditor`

  - ### paintValue

    public void paintValue(Graphics gfx, Rectangle box)
    Specified by:
      `paintValue` in interface `PropertyEditor`

  - ### getJavaInitializationString

    public String getJavaInitializationString()
    Specified by:
      `getJavaInitializationString` in interface `PropertyEditor`

  - ### getAsText

    public String getAsText()
    Specified by:
      `getAsText` in interface `PropertyEditor`

  - ### setAsText

    public void setAsText(String text) throws IllegalArgumentException
    Specified by:
      `setAsText` in interface `PropertyEditor`
    Throws:
      `IllegalArgumentException`

  - ### getTags

    public String[] getTags()
    Specified by:
      `getTags` in interface `PropertyEditor`

  - ### getCustomEditor

    public Component getCustomEditor()
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener pcl)
    Specified by:
      `addPropertyChangeListener` in interface `PropertyEditor`
    Overrides:
      `addPropertyChangeListener` in class `Container`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener pcl)
    Specified by:
      `removePropertyChangeListener` in interface `PropertyEditor`
    Overrides:
      `removePropertyChangeListener` in class `Component`

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Set the enabled status of the password box
    Overrides:
      `setEnabled` in class `JComponent`
    Parameters:
      `enabled` - true if the password box is to be enabled

  - ### setEditable

    public void setEditable(boolean editable)
    Set the editable status of the password box.
    Parameters:
      `editable` - true if the password box is editable